{
    template:'${tmpl}',
    data:function(){
        return {
          multipleSelection: [],
          isSingleSelect:false,
          cc:"ddddfsdfsd",
        }
    },
    mounted:function(){
      /*var msg={
        cls:"testCtl",
        method:"test",
        data:"hello",
      };
      this.socketClient.socketReplyReq(msg,function(rtn){
        console.log("rtn socket**************************************888888...................................................");
        console.log(rtn);
      });*/
    },
    created:function(){

    },
    methods:{
        onColFormater(row,column,cellvalue,index){
          if(column.property=="isEnabled"){
            if(row["isEnabled"]){
              return "是";
            }else{
              return "否";
            }
          }
          if(column.property=="isQuiet"){
            if(row["isQuiet"]){
              return "是";
            }else{
              return "否";
            }
          }
          if(typeof(cellvalue) == 'number') {
            return cellvalue || 0;
          }
          return cellvalue || "---";
        },
       handleSelectionChange:function(val){
         this.multipleSelection = val;
         console.log(this.cc);
       },
       headerCellStyle:function(){
         return {"background-color":"red"};
       },
       onDlgFormClick(k, model){
         console.log(model, "-----1111111111------------------------------model1");
         if(k=="mysave"){
           console.log(model, "----2222222222222-------------------------------model1");
           var that=this;
           this.$root.postReq("/web/ecompanyCtl/mysave", model).then(rd=>{
             if(rd.status==0){
                 that.$message({
                   type: 'success',
                   message: '保存成功!'
                 });
                 console.log(that.$refs.cotractGrid);
                 that.$refs.cotractGrid.showLeft();
                 that.$refs.cotractGrid.status="common";
                 that.$refs.cotractGrid.fetchData();
             }
           });
         }
       }
    },
    computed:{
      headStyle:function(){
        return {"background-color":"white"};
      }
    },
    vname:"gsb-ecompany"
}
